package com.adealink.weparty.module.joinus

import com.adealink.frame.aab.BaseDynamicModule
import com.adealink.weparty.R

object JoinUsModule : BaseDynamicModule<IJoinUsService>(IJoinUsService::class),
    IJoinUsService {

    override val featureName: String
        get() = "joinus"

    override val moduleNameResId: Int
        get() = R.string.module_joinus

    override fun emptyService(): IJoinUsService {
        return object : IJoinUsService {

            override fun getService(): IJoinUsService? {
                return null
            }

            override fun onLogout() {

            }
        }
    }

    override fun onLogout() {
        getService().onLogout()
    }
}